Query Trades Info
curl --request POST \
--url https://gateway.varchev.com/crypto/queryTradesInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": "-77456201",
"txid": "ut do",
"trades": false
}
'import requests
url = "https://gateway.varchev.com/crypto/queryTradesInfo"
payload = {
"nonce": "-77456201",
"txid": "ut do",
"trades": False
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: '-77456201', txid: 'ut do', trades: false})
};
fetch('https://gateway.varchev.com/crypto/queryTradesInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"THVRQM-33VKH-UCI7BS": {
"ordertxid": "OQCLML-BW3P3-BUCMWZ",
"postxid": "TKH2SE-M7IF5-CFI7LT",
"pair": "XXBTZUSD",
"time": 1616667796.8802,
"type": "buy",
"ordertype": "limit",
"price": "30010.00000",
"cost": "600.20000",
"fee": "0.00000",
"vol": "0.02000000",
"margin": "0.00000",
"misc": ""
},
"TTEUX3-HDAAA-RC2RUO": {
"ordertxid": "OH76VO-UKWAD-PSBDX6",
"postxid": "TKH2SE-M7IF5-CFI7LT",
"pair": "XXBTZEUR",
"time": 1614082549.3138,
"type": "buy",
"ordertype": "limit",
"price": "1001.00000",
"cost": "0.20020",
"fee": "0.00000",
"vol": "0.00020000",
"margin": "0.00000",
"misc": ""
}
}
}Private
Query Trades Info
Retrieve information about specific trades/fills.
POST
/
queryTradesInfo
Query Trades Info
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
⌘I

